package org.codehaus.mojo.ship;

import junit.framework.TestCase;
import org.codehaus.plexus.util.ReaderFactory;

import java.io.File;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Arrays;
import java.util.Collections;

public class ScriptEngineManagerTest extends TestCase {

    public void testScriptEngineDetectionBeanShell() throws Exception {
        URL resource = getClass().getResource("/ReturnsArray.bsh");
        assertEquals(Arrays.asList(new String[]{"This is BeanShell"}),
                Arrays.asList((String[]) (new ScriptEngineManager().eval(resource,
                        ReaderFactory.FILE_ENCODING, Collections.emptyMap(), null))));
    }

    public void testScriptEngineDetectionGroovy() throws Exception {
        URL resource = getClass().getResource("/ReturnsArray.groovy");
        assertEquals(Arrays.asList(new String[]{"This is groovy"}),
                (new ScriptEngineManager().eval(resource,
                        ReaderFactory.FILE_ENCODING, Collections.emptyMap(), null)));
    }
}
